io.etcd.jetcd

## Interface Client

All Superinterfaces:
  AutoCloseable

    public interface Client
    extends AutoCloseable

Etcd Client.

The implementation may throw unchecked ConnectException or AuthFailedException on initialization (or when invoking *Client methods if configured to initialize lazily).

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`static ClientBuilder` `builder()`
`void` `close()`
`Auth` `getAuthClient()`
`Cluster` `getClusterClient()`
`KV` `getKVClient()`
`Lease` `getLeaseClient()`
`Lock` `getLockClient()`
`Maintenance` `getMaintenanceClient()`
`Watch` `getWatchClient()`

### Method Detail

#### getAuthClient

    Auth getAuthClient()

#### getKVClient

    KV getKVClient()

#### getClusterClient

    Cluster getClusterClient()

#### getMaintenanceClient

    Maintenance getMaintenanceClient()

#### getLeaseClient

    Lease getLeaseClient()

#### getWatchClient

    Watch getWatchClient()

#### getLockClient

    Lock getLockClient()

#### close

    void close()

Specified by:
  `close` in interface `AutoCloseable`

#### builder

    static ClientBuilder builder()